export const colorLegend = ( selection, props ) => {
  
  const {
    color,
    width,
    onClick,
    selectedLegend
  } = props;
  
  var legend = selection.selectAll(".legend").data(color.domain())
  var legendEnter = legend
    .enter().append("g")
      .attr("class", "legend")
  
  legendEnter
    .merge(legend)
      .attr("transform", (d, i) => `translate(-40,${(i + 8.5) * 50})`)
      .attr('opacity', d => 
        (!selectedLegend || d === selectedLegend)
          ? 1
          : 0.1
      )
      .on('click', d => onClick(
				d === selectedLegend
    			? null
    			: d
			));
        
};